To solve it, have a look to this ticket:

https://devel.gvsig.org/redmine/issues/1537

The key point it to use Glyphvector to draw the halo before the text:

            GlyphVector glyph = font.createGlyphVector(frc, aux);
            Shape outlineChar = glyph.getOutline();
            g.setStroke(haloStroke);
            g.setColor(Color.white);
            g.draw(outlineChar);

History
#1 - 04/25/2013 02:40 PM - Manuel Madrid
- Priority changed from Normal to Urgent

#2 - 09/17/2013 05:21 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#3 - 09/18/2013 08:26 AM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Target version set to 2.1.0-2223-rc1

Restoring code previously commented out to allow fonts with halo (and with anti-aliasing).

gvsig-desktop:r40714

#4 - 01/13/2014 09:00 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#5 - 01/27/2014 06:05 PM - Álvaro Anguix
- Status changed from Fixed to Closed
